<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class hk.quantr.mxgraph.swing.mxGraphComponent (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class hk.quantr.mxgraph.swing.mxGraphComponent (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class hk.quantr.mxgraph.swing.mxGraphComponent" class="title">Uses of Class<br>hk.quantr.mxgraph.swing.mxGraphComponent</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing">hk.quantr.mxgraph.swing</a></th>
<td class="colLast">
<div class="block">This package contains the main component for JFC/Swing, namely the graph
  component and the outline component.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing.handler">hk.quantr.mxgraph.swing.handler</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for mouse event handling in
  JFC/Swing.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing.util">hk.quantr.mxgraph.swing.util</a></th>
<td class="colLast">
<div class="block">This package contains all utility classes that require JFC/Swing, namely for
  mouse event handling, drag and drop, actions and overlays.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#hk.quantr.mxgraph.swing.view">hk.quantr.mxgraph.swing.view</a></th>
<td class="colLast">
<div class="block">This package contains all classes required for interaction, namely the
  mxCellEditor used for in-place editing and the mxInteractiveCanvas, which
  defines the requirements for a canvas that supports hit-detection on shapes.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a> in <a href="../package-summary.html">hk.quantr.mxgraph.swing</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../package-summary.html">hk.quantr.mxgraph.swing</a> declared as <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.mxMouseRedirector.</span><code><span class="memberNameLink"><a href="../mxGraphComponent.mxMouseRedirector.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphOutline.</span><code><span class="memberNameLink"><a href="../mxGraphOutline.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hk.quantr.mxgraph.swing</a> that return <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphOutline.</span><code><span class="memberNameLink"><a href="../mxGraphOutline.html#getGraphComponent()">getGraphComponent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphComponent.mxGraphControl.</span><code><span class="memberNameLink"><a href="../mxGraphComponent.mxGraphControl.html#getGraphContainer()">getGraphContainer</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">hk.quantr.mxgraph.swing</a> with parameters of type <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphOutline.</span><code><span class="memberNameLink"><a href="../mxGraphOutline.html#setGraphComponent(hk.quantr.mxgraph.swing.mxGraphComponent)">setGraphComponent</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">
<div class="block">Fires a property change event for <code>graphComponent</code>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">hk.quantr.mxgraph.swing</a> with parameters of type <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphOutline.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxGraphOutline</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../mxGraphComponent.mxMouseRedirector.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxMouseRedirector</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing.handler">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a> in <a href="../handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a> declared as <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellHandler.</span><code><span class="memberNameLink"><a href="../handler/mxCellHandler.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph component.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellMarker.</span><code><span class="memberNameLink"><a href="../handler/mxCellMarker.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Holds the enclosing graph component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectionHandler.</span><code><span class="memberNameLink"><a href="../handler/mxConnectionHandler.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxConnectPreview.</span><code><span class="memberNameLink"><a href="../handler/mxConnectPreview.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphHandler.</span><code><span class="memberNameLink"><a href="../handler/mxGraphHandler.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph component.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxInsertHandler.</span><code><span class="memberNameLink"><a href="../handler/mxInsertHandler.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxMovePreview.</span><code><span class="memberNameLink"><a href="../handler/mxMovePreview.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxPanningHandler.</span><code><span class="memberNameLink"><a href="../handler/mxPanningHandler.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxRotationHandler.</span><code><span class="memberNameLink"><a href="../handler/mxRotationHandler.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph component.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxRubberband.</span><code><span class="memberNameLink"><a href="../handler/mxRubberband.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph container.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSelectionCellsHandler.</span><code><span class="memberNameLink"><a href="../handler/mxSelectionCellsHandler.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph component.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a> that return <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellHandler.</span><code><span class="memberNameLink"><a href="../handler/mxCellHandler.html#getGraphComponent()">getGraphComponent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphHandler.</span><code><span class="memberNameLink"><a href="../handler/mxGraphHandler.html#getGraphComponent()">getGraphComponent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxInsertHandler.</span><code><span class="memberNameLink"><a href="../handler/mxInsertHandler.html#getGraphComponent()">getGraphComponent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxRotationHandler.</span><code><span class="memberNameLink"><a href="../handler/mxRotationHandler.html#getGraphComponent()">getGraphComponent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSelectionCellsHandler.</span><code><span class="memberNameLink"><a href="../handler/mxSelectionCellsHandler.html#getGraphComponent()">getGraphComponent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a> with parameters of type <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../handler/mxGraphTransferHandler.html#createGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D,hk.quantr.mxgraph.util.mxRectangle,javax.swing.ImageIcon)">createGraphTransferable</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       java.lang.Object[]&nbsp;cells,
                       <a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
                       javax.swing.ImageIcon&nbsp;icon)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../handler/mxGraphTransferHandler.html#createGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D,javax.swing.ImageIcon)">createGraphTransferable</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       java.lang.Object[]&nbsp;cells,
                       javax.swing.ImageIcon&nbsp;icon)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>javax.swing.ImageIcon</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../handler/mxGraphTransferHandler.html#createTransferableImage(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D)">createTransferableImage</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../handler/mxGraphTransferHandler.html#getDropTarget(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable)">getDropTarget</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
             <a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt)</code></th>
<td class="colLast">
<div class="block">Returns the drop target for the given transferable and location.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../handler/mxGraphTransferHandler.html#importCells(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable,double,double)">importCells</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
           <a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt,
           double&nbsp;dx,
           double&nbsp;dy)</code></th>
<td class="colLast">
<div class="block">Gets a drop target using getDropTarget and imports the cells using
 mxGraph.splitEdge or mxGraphComponent.importCells depending on the
 drop target and the return values of mxGraph.isSplitEnabled and
 mxGraph.isSplitTarget.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../handler/mxGraphTransferHandler.html#importGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable)">importGraphTransferable</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       <a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt)</code></th>
<td class="colLast">
<div class="block">Returns true if the cells have been imported using importCells.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxKeyboardHandler.</span><code><span class="memberNameLink"><a href="../handler/mxKeyboardHandler.html#installKeyboardActions(hk.quantr.mxgraph.swing.mxGraphComponent)">installKeyboardActions</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">
<div class="block">Invoked as part from the boilerplate install block.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxGraphTransferHandler.</span><code><span class="memberNameLink"><a href="../handler/mxGraphTransferHandler.html#removeCells(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D)">removeCells</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
           java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../handler/package-summary.html">hk.quantr.mxgraph.swing.handler</a> with parameters of type <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxCellHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.view.mxCellState)">mxCellHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
             <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Constructs a new cell handler for the given cell state.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxCellMarker.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxCellMarker</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">
<div class="block">Constructs a new marker for the given graph component.</div>
</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxCellMarker.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color)">mxCellMarker</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
            java.awt.Color&nbsp;validColor)</code></th>
<td class="colLast">
<div class="block">Constructs a new marker for the given graph component.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxCellMarker.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color,java.awt.Color)">mxCellMarker</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
            java.awt.Color&nbsp;validColor,
            java.awt.Color&nbsp;invalidColor)</code></th>
<td class="colLast">
<div class="block">Constructs a new marker for the given graph component.</div>
</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxCellMarker.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color,java.awt.Color,double)">mxCellMarker</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
            java.awt.Color&nbsp;validColor,
            java.awt.Color&nbsp;invalidColor,
            double&nbsp;hotspot)</code></th>
<td class="colLast">
<div class="block">Constructs a new marker for the given graph component.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxCellTracker.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color)">mxCellTracker</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
             java.awt.Color&nbsp;color)</code></th>
<td class="colLast">
<div class="block">Constructs an event handler that highlights cells.</div>
</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxConnectionHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxConnectionHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxConnectPreview.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxConnectPreview</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxEdgeHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.view.mxCellState)">mxEdgeHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
             <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxElbowEdgeHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.view.mxCellState)">mxElbowEdgeHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                  <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxGraphHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxGraphHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxInsertHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.String)">mxInsertHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
               java.lang.String&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxKeyboardHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxKeyboardHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxMovePreview.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxMovePreview</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">
<div class="block">Constructs a new rubberband selection for the given graph component.</div>
</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxPanningHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxPanningHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxRotationHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxRotationHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">
<div class="block">Constructs a new rotation handler.</div>
</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxRubberband.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxRubberband</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">
<div class="block">Constructs a new rubberband selection for the given graph component.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxSelectionCellsHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxSelectionCellsHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../handler/mxVertexHandler.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.view.mxCellState)">mxVertexHandler</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
               <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing.util">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a> in <a href="../util/package-summary.html">hk.quantr.mxgraph.swing.util</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../util/package-summary.html">hk.quantr.mxgraph.swing.util</a> declared as <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxMorphing.</span><code><span class="memberNameLink"><a href="../util/mxMorphing.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the enclosing graph instance.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../util/package-summary.html">hk.quantr.mxgraph.swing.util</a> with parameters of type <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../util/mxMorphing.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxMorphing</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">
<div class="block">Constructs a new morphing instance for the given graph.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../util/mxMorphing.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,int,double,int)">mxMorphing</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
          int&nbsp;steps,
          double&nbsp;ease,
          int&nbsp;delay)</code></th>
<td class="colLast">
<div class="block">Constructs a new morphing instance for the given graph.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="hk.quantr.mxgraph.swing.view">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a> in <a href="../view/package-summary.html">hk.quantr.mxgraph.swing.view</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../view/package-summary.html">hk.quantr.mxgraph.swing.view</a> declared as <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellEditor.</span><code><span class="memberNameLink"><a href="../view/mxCellEditor.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxCellStatePreview.</span><code><span class="memberNameLink"><a href="../view/mxCellStatePreview.html#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../view/package-summary.html">hk.quantr.mxgraph.swing.view</a> with parameters of type <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxInteractiveCanvas.</span><code><span class="memberNameLink"><a href="../view/mxInteractiveCanvas.html#contains(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Rectangle,hk.quantr.mxgraph.view.mxCellState)">contains</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
        java.awt.Rectangle&nbsp;rect,
        <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxInteractiveCanvas.</span><code><span class="memberNameLink"><a href="../view/mxInteractiveCanvas.html#hitSwimlaneContent(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.view.mxCellState,int,int)">hitSwimlaneContent</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                  <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;swimlane,
                  int&nbsp;x,
                  int&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Returns true if the given point is inside the content area of the given
 swimlane.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxInteractiveCanvas.</span><code><span class="memberNameLink"><a href="../view/mxInteractiveCanvas.html#intersects(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Rectangle,hk.quantr.mxgraph.view.mxCellState)">intersects</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
          java.awt.Rectangle&nbsp;rect,
          <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../view/package-summary.html">hk.quantr.mxgraph.swing.view</a> with parameters of type <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../view/mxCellEditor.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxCellEditor</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../view/mxCellStatePreview.html#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,boolean)">mxCellStatePreview</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                  boolean&nbsp;cloned)</code></th>
<td class="colLast">
<div class="block">Constructs a new state preview.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
